<template>
  <div class="overflow-auto">
    <b-table hover :items="data_table"></b-table>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  data() {
    return {
    }
  },
 async mounted() {
    const slug = this.$nuxt.context.params?.slug
    await this.$store.dispatch('forum/loadingForum', slug)
  },
  computed: {
    ...mapGetters({
      forums: 'forum/forums',
    }),
    data_table() {
      if (this.forums) {
        return this.forums
      }
      return []
    },
  },
}
</script>
